Bug 463991 - Need support for berkeley db 4.7
Summary: Need support for berkeley db 4.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Database - General
Version: 1.1.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.4 FDS1.2.0
TreeView+ depends on / blocked
 
Reported: 2008-09-25 19:30 UTC by Rich Megginson
Modified: 2015-12-07 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:36:48 UTC


Attachments (Terms of Use)
patch for f-10 rawhide (6.37 KB, patch)
2008-09-29 20:58 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2008-09-25 19:30:07 UTC
The server fails to build with bdb 4.7:
ldap/servers/slapd/back-ldbm/dblayer.c: In function 'deadlock_threadmain':
ldap/servers/slapd/back-ldbm/dblayer.c:3452: error: 'DB_ENV' has no member named 'lk_handle'
ldap/servers/slapd/back-ldbm/dblayer.c: In function 'checkpoint_threadmain':
ldap/servers/slapd/back-ldbm/dblayer.c:3622: error: 'DB_ENV' has no member named 'tx_handle'
ldap/servers/slapd/back-ldbm/dblayer.c: In function 'trickle_threadmain':
ldap/servers/slapd/back-ldbm/dblayer.c:3780: error: 'DB_ENV' has no member named 'mp_handle'

Fedora 10 uses bdb 4.7.  Fedora DS fails to build on Fedora 10.

Comment 1 Rich Megginson 2008-09-29 20:58:39 UTC
Created attachment 318000 [details]
patch for f-10 rawhide

Proposed patch for F-10 rawhide

Comment 2 Jenny Galipeau 2009-03-30 20:17:10 UTC
I don't think QE can verify this with RH DS.

Comment 3 Rich Megginson 2009-03-30 20:42:19 UTC
This bug should not block DS 8.1.

Comment 5 Rich Megginson 2011-06-22 14:27:21 UTC
Since 389-ds-base works on RHEL6 which uses db4 version 4.7, you can mark this as VERIFIED.

Comment 6 Amita Sharma 2011-06-23 06:55:35 UTC
Thanks Rich.


Note You need to log in before you can comment on or make changes to this bug.